# 滚动执行使用指引

### 功能介绍
默认情况下，作业平台在每一次任务中会将用户指定的执行目标 `并行` 下发执行；当你需要 `分批` 执行时（例如滚动更新），即可通过打开 `滚动执行` 配置策略来分配每一批次执行的目标个数。

### 策略表达式
- 书写规范
	- 每个占位以 `空格` 分隔
	- 每个占位只允许出现 `n` `n%` `*n` `+n`，且 n 只能为整数
	- `100%` 只允许出现在末位
	- 运算符（`*`和`+`）只允许出现在数字n前
	- 算式（如 `+n` 或 `*n`）只允许出现在末位
	- 不允许出现 `0`
- 含义说明
	- ` n`   
  `n` 必须为整型数值，代表具体多少台
	- `n%`   
  `n` 必须为整型数值，代表总量的百分之n台（遇小数点则向上取整）
	- `+n`   
  代表每次在前一批数量的基础上增加n台
	- `*n`   
  代表每次在前一批数量的基础上乘于n台

### 示例展示
当你有100台主机要处理时：
- 具体数量需求，如每批次仅执行20台
	```
	滚动策略：20
	分批结果：第一批20台，第二批20台，第三批20台，第四批20台，第五批20台
	（系统每批次会从总量100台中随机抽取20台，当剩余不足20时则全部获取）
	```
- 按总量比例需求，如每批次执行30%
	```
	滚动策略：30%
	分批结果：第一批30台，第二批30台，第三批30台，第四批10台
	（由于到第四批时剩余主机不足30台，则获取余量全部（即10台））
	```
- 逐批递增需求，如每批次递增2倍（或具体递增n台）
  ```
  滚动策略：5 *2
  分批结果：第一批5台，第二批10台，第三批20台，第四批40台，第五批25台
  （第五批应为40*2=80台，但由于剩余主机不够，所以获取余量全部）
  
  或者
  
  滚动策略：5 +10
  分批结果：第一批5台，第二批15台，第三批25台，第四批35台，第五批20台
  （第五批应为35+10=45台，但由于剩余主机不够，所以获取余量全部）
  ```
- 明确分批次数需求，如不论总量多少都分5个批次
  ```
  方法一
  滚动策略：20%
  策略说明：每批次取总量百分之20，所以总批次一定为5批
	
  方法二
  滚动策略：10 20 20 20 100%
  策略说明：第一批10台，第二批20台，第三批20台，第四批20台，第五批全部
  （当表达式末位为100%时，则代表取余量的全部主机）
	```